Articles of m2eclipse

¿Cómo configurar la ruta de comstackción de Eclipse para usar las dependencias de Maven?

Me gustaría aprovechar las características que Maven proporciona para administrar dependencias en un proyecto. Mi breve comprensión de cómo funciona Maven es que obtendrá los JAR necesarios y luego construirá el proyecto con estas bibliotecas. Actualmente tengo configurado un archivo POM simple como prueba: 4.0.0 com.jamesgoodwin.test com.jamesgoodwin.test 0.0.1-SNAPSHOT org.springframework spring-core 3.0.0.RELEASE jar compile Por lo […]

¿Cómo resolver la dependencia de maven 2.6 resource plugin?

ERROR: Could not calculate build plan: Plugin org.apache.maven.plugins:maven-resources-plugin:2.6 or one of its dependencies could not be resolved: Failed to read artifact descriptor for org.apache.maven.plugins:maven-resources-plugin:jar:2.6 Plugin org.apache.maven.plugins:maven-resources-plugin:2.6 or one of its dependencies could not be resolved: Failed to read artifact descriptor for org.apache.maven.plugins:maven-resources-plugin:jar:2.6 Soluciones probadas: Proyecto actualizado: no se puede descargar desde REPO de maven. Intenté […]

¿Qué causa que el proyecto Maven importado en Eclipse utilice Java 1.5 en lugar de Java 1.6 de manera predeterminada y cómo puedo asegurarme de que no lo haga?

Importé un proyecto Maven y usó Java 1.5 aunque tengo configurado 1.6 como mis Preferences->Java->Installed JREs predeterminadas de Preferences->Java->Installed JREs . Cuando cambié el proyecto Maven para usar el 1.6 JRE, aún me quedaban los errores de comstackción cuando el proyecto usaba Java 1.5 (describí estos errores de comstackción anteriormente en: Tengo errores de comstackción […]

Error al resolver la versión para org.apache.maven.archetypes

Configuré maven3.0.3 en mi máquina local. Han instalado el plugin m2e eclipse. Pero cuando trato de crear un nuevo proyecto maven usando maven-archetype-webapp, obtengo la siguiente excepción. Could not resolve archetype org.apache.maven.archetypes:maven-archetype-webapp:RELEASE from any of the configured repositories. Could not resolve artifact org.apache.maven.archetypes:maven-archetype- webapp:pom:RELEASE Failed to resolve version for org.apache.maven.archetypes:maven-archetype- webapp:pom:RELEASE: Could not find metadata […]

¿Cómo actualizar el repository de maven en Eclipse?

Suponiendo que ya está utilizando el plugin m2eclipse , lo que puede hacer no actualiza las dependencias a lo último en su repository. Por ejemplo, en la línea de comando, puede agregar el -U como se muestra a continuación: mvn clean install -U … para obligar a las dependencias a actualizarse. ¿Hay algo como esto […]

Mensaje de error “Faceted Project Prblem (Java Version Mismatch)”

La pestaña de “problemas” de Eclipse muestra este error: Descripción: el nivel del comstackdor Java no coincide con la versión de la faceta del proyecto Java instalada. Recurso: agrupamiento Ruta: [en blanco] Ubicación: Desconocido Tipo: Problema del proyecto facetado (desajuste de la versión de Java) Mi pom.xml tiene esta configuración: org.apache.maven.plugins maven-compiler-plugin 1.6 1.6 ¿En […]

m2e ciclo de vida-mapeo no encontrado

Estoy tratando de usar la solución que se describe aquí para resolver la molesta “ejecución del complemento no cubierta por la configuración del ciclo de vida: org.codehaus.mojo: build-helper-maven-plugin: 1.7: add-source (ejecución: por defecto, fase: generar- fonts) “cuando coloco el siguiente complemento en mi pom.xml: org.codehaus.mojo build-helper-maven-plugin generate-sources add-source src/bootstrap/java Pero cuando ejecuto mvn clean install […]

Faltan dependencias Maven en el proyecto Eclipse

Tenemos un proyecto establecido con maven para resolver dependencias. Por lo general funciona bien, pero ahora estoy tratando de comstackrlo y ejecutarlo en una nueva PC y tengo problemas con las dependencias faltantes en Eclipse. Lo que es gracioso es que si ejecuto “paquete mvn” en la consola o en eclipse, funciona bien e incluso […]

Maven “build path especifica el entorno de ejecución J2SE-1.5”, aunque lo cambié a 1.7

En Eclipse Juno, instalé el último plugin m2e (1.2.20120903-1050). En preferencias, he agregado jdk1.7.0_11 en Java -> JRE instalados -> Agregar, y luego he especificado la ubicación ( C:\Program Files\Java\jdk1.7.0_11 ). Cuando creo un nuevo proyecto Maven y lo ejecuto, recibo una advertencia: La ruta de comstackción especifica el entorno de ejecución J2SE-1.5. No hay […]

¿Cómo configuro la opción eclipse.ini -vm?

Instalé el complemento Maven para Eclipse , y luego recibí un error como el siguiente: por favor, asegúrese de que la opción -vm en eclipse.ini esté apuntando a un JDK ¿Cómo uso la opción -vm para apuntar a mi JDK en eclipse.ini?